%undefine _hardened_build

%global git_commit 1fcbd0b9303d044d8f09a8ef652afa8c0400ee8b
%global git_date 20200324

%global git_short_commit %(echo %{git_commit} | cut -c -8)
%global git_suffix %{git_date}git%{git_short_commit}


Summary: Alex's Ada Assortment of Utilities

Name: alire
Version: 20201023
Release: 2.%{git_suffix}%{?dist}
License: GPLv2+
Group: Development/Libraries
URL: https://github.com/alire-project/alire
Source0: https://github.com/alire-project/%{name}/archive/%{git_commit}/%{name}-%{version}.tar.gz

BuildRequires: gprbuild gcc-gnat fedora-gnat-project-common
BuildRequires: aaa-devel ada-toml-devel ajunitgen-devel ansi-ada-devel
BuildRequires: gnatcoll-devel minirest-devel semantic_versioning-devel
BuildRequires: simple_logging-devel uri-ada-devel xmlezout-devel

%description
%{summary}

%package libs
Summary: Alire libraries

%description libs
%{summary}


%package devel
Summary: Development files for alire
Requires:   %{name}%{?_isa} = %{version}-%{release}

%description devel
%{summary}

%prep
%autosetup  -p1 -n %{name}-0.1
rm -rf deps

%build
export LIBRARY_TYPE="relocatable"
gprbuild alr.gpr %{GPRbuild_optflags}


%install
export LIBRARY_TYPE="relocatable"
gprinstall  -p alire.gpr --sources-subdir=%{buildroot}/%{_includedir}/%{name} \
--project-subdir=%{buildroot}/%_GNAT_project_dir --exec-subdir=%{buildroot}/%{_bindir} \
--lib-subdir=%{buildroot}/%{_libdir}/%{name} --link-lib-subdir=%{buildroot}/%{_libdir} 
gprinstall  -p alr.gpr --sources-subdir=%{buildroot}/%{_includedir}/%{name} \
--project-subdir=%{buildroot}/%_GNAT_project_dir --exec-subdir=%{buildroot}/%{_bindir} \
--lib-subdir=%{buildroot}/%{_libdir}/%{name} --link-lib-subdir=%{buildroot}/%{_libdir} 

rm -rf %{buildroot}/%_GNAT_project_dir/manifests/


%files
%defattr(-,root,root,-)
%doc
%{_bindir}/alr

%files libs
%{_libdir}/%{name}/lib*.so.?.?
%{_libdir}/%{name}/lib*.so.?

%files devel
%_GNAT_project_dir/alire.gpr
%{_includedir}/%{name}
%dir %{_libdir}/%{name}/
%_GNAT_project_dir/alr.gpr
%{_libdir}/%{name}/*.ali
%{_libdir}/lib*.so.?.?
%{_libdir}/lib*.so.?
%{_libdir}/lib*.so
%{_libdir}/%{name}/lib*.so

%changelog
* Fri Oct 23 2020 Pavel Zhukov <pzhukov@redhat.com> - 
- Initial build.

